import{s as m,$ as l,r as i,j as o,aq as p}from"./index-BwsrXI9O.js";import{R as d,P as f}from"./Particles-BlxXqWnI.js";const g="/assets/flake-0.DgWaVvm5.png",x="/assets/flake-1.B2r5AHMK.png",E="/assets/flake-2.BnWSExPC.png",e=150,r=150,S=10,_=90,u=4e3,a=(t,n=0)=>Math.random()*(t-n)+n,A=()=>l`
  from {
    transform:
      translateY(0)
      rotateX(${a(360)}deg)
      rotateY(${a(360)}deg)
      rotateZ(${a(360)}deg);
  }

  to {
    transform:
      translateY(calc(100vh + ${e}px))
      rotateX(0)
      rotateY(0)
      rotateZ(0);
  }
`,I=m("img",{target:"ekdfb790"})(({theme:t})=>({position:"fixed",top:`${-e}px`,marginLeft:`${-r/2}px`,zIndex:t.zIndices.balloons,left:`${a(_,S)}vw`,animationDelay:`${a(u)}ms`,height:`${e}px`,width:`${r}px`,pointerEvents:"none",animationDuration:"3000ms",animationName:A(),animationTimingFunction:"ease-in",animationDirection:"normal",animationIterationCount:1,opacity:1}),""),M=100,c=[g,x,E],$=c.length,k=i.memo(({particleType:t,resourceCrossOriginMode:n})=>{const s=c[t];return o.jsx(I,{src:s,crossOrigin:p(n,s)})}),P=function({scriptRunId:n}){return o.jsx(d,{children:o.jsx(f,{className:"stSnow","data-testid":"stSnow",scriptRunId:n,numParticleTypes:$,numParticles:M,ParticleComponent:k})})},h=i.memo(P);export{M as NUM_FLAKES,h as default};
